Show / Hide Table of Contents

# AsyncRectTransformRemovedTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncRectTransformRemovedTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncRectTransformRemovedTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnRectTransformRemovedAsyncHandler() |
GetOnRectTransformRemovedAsyncHandler(CancellationToken) |
OnRectTransformRemovedAsync() |
OnRectTransformRemovedAsync(CancellationToken) |

### Methods

#### GetOnRectTransformRemovedAsyncHandler()

    public IAsyncOnRectTransformRemovedHandler GetOnRectTransformRemovedAsyncHandler()

##### Returns

IAsyncOnRectTransformRemovedHandler

#### GetOnRectTransformRemovedAsyncHandler(CancellationToken)

    public IAsyncOnRectTransformRemovedHandler GetOnRectTransformRemovedAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnRectTransformRemovedHandler

#### OnRectTransformRemovedAsync()

    public UniTask OnRectTransformRemovedAsync()

##### Returns

UniTask

#### OnRectTransformRemovedAsync(CancellationToken)

    public UniTask OnRectTransformRemovedAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>